0
Answered

SQLite multiple plugins

Jani Schulze 3 years ago updated 3 years ago 2

I updated Bolt a while ago, but now somehow, there seems to be two sqlite3.dlls:

Multiple plugins with the same name 'sqlite3' (found at 'Assets/Ludiq/Assemblies/sqlite3.dll' and 'Assets/Plugins/Assemblies/sqlite3.dll'). That means one or more plugins are set to be compatible with Editor. Only one plugin at the time can be used by Editor.

I don't know what causes it and I have deleted the one in Assets/Plugins/Assemblies (I am not sure if this is the extra copy). But it seems to be copied back by Bolt somehow after a while.

What can I do?

Bolt Version:
Unity Version:
Platform(s):
Scripting Backend:
.NET Version (API Compatibility Level):
Answered

Hi Jani,

It sounds like you haven't followed the manual update instructions to v.1.3:

https://support.ludiq.io/communities/5/topics/1199-version-13-update-instructions

If you follow these steps, you shouldn't have the sqlite3 native DLL twice.

I did follow the instructions and it was working for a while. After that I think I have corrupted something from git. I had some other changes on other branch and was careful to merge those, but I didn't see anything regarding Bolt. There must have been something that I broke.